//
//  ViewController.swift
//  WebViewEsempio
//
//  Created by Diego Caridei on 24/09/14.
//  Copyright (c) 2014 Diego Caridei. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    //Dichiariamo e colleghiamo la webView e la TextField
    @IBOutlet weak var textView: UITextField!
    @IBOutlet weak var webView: UIWebView!
    
    //Creiamo il metodo per navigare
    @IBAction func vai(sender: AnyObject) {
        // Ci ricaviamo l'indirizzo dalla textField
        var url = NSURL(string: textView.text)
        //Impostiamo il tutto
        var request = NSURLRequest(URL: url)
        webView.loadRequest(request)
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        //Richiamiamo il metodo in maniera che venga caricata una pag all'avvio
        self.vai(self)
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

